Package org.eclipse.graphiti.tb

# Class ContextButtonEntry

java.lang.Object
org.eclipse.graphiti.tb.AbstractContextEntry
org.eclipse.graphiti.tb.ContextButtonEntry

All Implemented Interfaces:
  `IContextButtonEntry`, `IContextEntry`

public class ContextButtonEntry extends AbstractContextEntry implements IContextButtonEntry
The Class ContextButtonEntry.

## Constructor Summary

Constructors
Constructor
Description
`ContextButtonEntry(IFeature feature, IContext context)`
Creates a context button entry.

## Method Summary

Modifier and Type
Method
Description
`void`
`addContextButtonMenuEntry(IContextButtonEntry contextButtonEntry)`
Add a menu feature.
`void`
`addDragAndDropFeature(IFeature dragAndDropFeature)`
add a drag and drop feature.
`List<IContextButtonEntry>`
`getContextButtonMenuEntries()`
Gets the context button menu entries.
`List<IFeature>`
`getDragAndDropFeatures()`
Gets the drag and drop features.

### Methods inherited from class org.eclipse.graphiti.tb.AbstractContextEntry

`canExecute, execute, getContext, getDescription, getFeature, getIconId, getText, setDescription, setIconId, setText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.tb.IContextEntry

`canExecute, execute, getContext, getDescription, getFeature, getIconId, getText, setDescription, setIconId, setText`

## Constructor Details

### ContextButtonEntry

public ContextButtonEntry(IFeature feature, IContext context)
Creates a context button entry.

Parameters:
  `feature` - feature that will be triggered on click
  `context` - the context used with the feature

## Method Details

### addContextButtonMenuEntry

public void addContextButtonMenuEntry(IContextButtonEntry contextButtonEntry)
Add a menu feature. Will be triggered when you click the button.

Parameters:
  `contextButtonEntry` - the context button entry

### getContextButtonMenuEntries

public List<IContextButtonEntry> getContextButtonMenuEntries()
Gets the context button menu entries.

Returns:
  returns the menu features

### addDragAndDropFeature

public void addDragAndDropFeature(IFeature dragAndDropFeature)
add a drag and drop feature. gets triggered when you drag from the button and drop on an arbitrary part of the screen

Parameters:
  `dragAndDropFeature` - the drag and drop feature

### getDragAndDropFeatures

public List<IFeature> getDragAndDropFeatures()
Gets the drag and drop features.

Returns:
  returns the drag and drop features